Name: SpoofDPI
Version: 0.10.12
Release: alt1
Group: Security/Networking 
URL: https://github.com/xvzc/SpoofDPI
License: %asl
Source: %name-%version.tgz
Summary: A simple and fast anti-censorship tool written in Go

BuildRequires: rpm-build-licenses
#BuildRequires: rpm-macros-golang
BuildRequires: golang

%description
A simple and fast software designed to bypass Deep Packet Inspection

%description -l ru_RU.UTF-8

%prep
%setup

%build
go build ./cmd/...

%install
mkdir -p %buildroot/%_bindir/
mkdir -p %buildroot/etc/systemd/system/
mkdir -p %buildroot/etc/SpoofDPI/

cp spoofdpi %buildroot/%_bindir/
chmod +x %buildroot/%_bindir/spoofdpi

cat << EOF > %buildroot/etc/systemd/system/spoofdpi.service
[Unit]
Description=SpoofDPI Daemon

[Service]
EnvironmentFile=/etc/SpoofDPI/spoofdpi.conf
ExecStart=/usr/bin/spoofdpi -addr \${DPI_LISTEN_IP} -port \${DPI_PORT}
TimeoutSec=5
Type=simple

[Install]
WantedBy=multi-user.target
EOF

cat << EOF > %buildroot/etc/SpoofDPI/spoofdpi.conf
DPI_LISTEN_IP=127.0.0.1
DPI_PORT=8081
EOF

%files
%_bindir/spoofdpi
/etc/SpoofDPI/spoofdpi.conf
/etc/systemd/system/spoofdpi.service

%changelog
* Wed Aug 28 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 0.10.12-alt1
- New version
- Rename main binary from spoof-dpi to spoofdpi

* Tue Aug 06 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 0.10.6-alt1
- First build for ALT

